Bug 437716 - pidof -x not finding shell scripts
Summary: pidof -x not finding shell scripts
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: sysvinit
Version: 10
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-16 22:35 UTC by Dan Kenigsberg
Modified: 2014-03-17 03:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-08 20:25:29 UTC


Attachments (Terms of Use)
let pidof -x find shell scripts, too (553 bytes, patch)
2008-03-16 22:41 UTC, Dan Kenigsberg
no flags Details | Diff

Description Dan Kenigsberg 2008-03-16 22:35:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051202 Fedora/1.5-0.fc4 Firefox/1.5

Description of problem:
I ran (on fedora 8)
  python s.py &
and
  pidof -x s.py
returned nothing.


Version-Release number of selected component (if applicable):
sysvinit-2.86-18.x86_64

How reproducible:
Always


Steps to Reproduce:
1. python s.py &
2. pidof -x s.py

Actual Results:
empty line

Expected Results:
pid of the shell (in this case, the python process) running s.py

Additional info:

Comment 1 Dan Kenigsberg 2008-03-16 22:41:20 UTC
Created attachment 298221 [details]
let pidof -x find shell scripts, too

Please consider this patch; I don't see why requiring that the shell name would
equal the script name is reasonable.

Comment 2 Bug Zapper 2008-11-26 10:11:07 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bill Nottingham 2008-12-08 20:25:29 UTC
Won't work - in the case of your s.py, not only would it match:

  python s.py

but it would also match:

  vim s.py

and even:

  pidof s.py

The idea is that it matches the script if s.py itself is executable and ran directly.

Comment 4 Dan Kenigsberg 2008-12-14 18:36:10 UTC
yep, you're right. maybe it should've resolved as notabug?

Comment 5 Bill Nottingham 2008-12-16 14:57:34 UTC
Yeah, that's probably better. Tweaking resolution.


Note You need to log in before you can comment on or make changes to this bug.